## summary (/v2/summary)

this page last updated: 2019-10-20 23:12:05

# summary (/v2/summary)

class `cloudkittyclient.v2.summary.``SummaryManager`(api_client)
  `get_summary`(**kwargs)

    Returns a paginated list of summaries.

    This support filters along with custom grouping.

    Parameters:

    - offset (int) – Index of the first scope that should be returned.
    - limit (int) – Maximal number of scopes to return.
    - filters (dict) – Optional dict of filters to select data on.
    - groupby (str or list of str.) – Optional list of attributes to group data on.
    - begin (datetime.datetime) – Start of the period to gather data from
    - end (datetime.datetime) – End of the period to gather data from

this page last updated: 2019-10-20 23:12:05

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug questions?